Bug 388828 - Forward Redirect Fails
Summary: Forward Redirect Fails
Status: CONFIRMED
Alias: None
Product: kmail2
Classification: Applications
Component: general (show other bugs)
Version: Git (master)
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-11 21:29 UTC by Allen Winter
Modified: 2019-07-30 21:17 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Allen Winter 2018-01-11 21:29:19 UTC
Sending email normally works fine.
But not when I try to forward->redirect.

I get the message "Failed to transport message. Server error"

console output follows:
-------------------------
org.kde.pim.maildispatcher: Item 165102 is accepted into the queue (size 275969 ).
org.kde.pim.maildispatcher: Attempting to dispatch the next message.
org.kde.pim.maildispatcher: Fetched item 165102 ; creating SendJob.
org.kde.pim.maildispatcher: Transporting message.
org.kde.pim.akonadiserver: Database "akonadi" opened using driver "QMYSQL"
org.kde.pim.mailtransport: "2089707915"
org.kde.pim.maildispatcher: Item 165102 is ignored.
org.kde.pim.mailtransport.smtpplugin: Login started
org.kde.pim.kmail_plugin: "Iterating over" 4 "collections."
org.kde.pim.maildispatcher: Item 165102 is ignored.
org.kde.pim.kmail_plugin: "Iterating over" 4 "collections."
org.kde.pim.akonadi_indexer_agent: indexed  11
org.kde.pim.ksmtp: TLS negotiation done.
org.kde.pim.kmail_plugin: "Iterating over" 4 "collections."
org.kde.pim.ksmtp: Trying authmod "PLAIN"
org.kde.pim.ksmtp: SASL_INTERACT Id 16385
org.kde.pim.ksmtp: SASL_INTERACT Id 16386
org.kde.pim.ksmtp: SASL_CB_[USER|AUTHNAME]: ' "allen" '
org.kde.pim.ksmtp: SASL_INTERACT Id 16388
org.kde.pim.ksmtp: SASL_CB_PASS: [hidden]
org.kde.pim.ksmtp: Trying authmod "PLAIN"
org.kde.pim.mailtransport.smtpplugin: Send started
org.kde.pim.mailtransport.smtpplugin: Removing session KSmtp::Session(0xc02cf0) from the pool
org.kde.pim.maildispatcher: success false message "Server error"
org.kde.pim.maildispatcher: Error transporting.
org.kde.pim.maildispatcher: success false message "Failed to transport message. Server error"
org.kde.pim.mailtransport.smtpplugin: clearing SMTP session pool 0
org.kde.pim.maildispatcher: 
org.kde.pim.maildispatcher: 
org.kde.pim.maildispatcher: Success storing result.
org.kde.pim.maildispatcher: Sending failed. error: "Failed to transport message. Server error"
org.kde.knotifications: Calling notify on "Popup"
org.kde.pim.maildispatcher: Empty queue.
org.kde.pim.maildispatcher: Item 165102 is queued to be sent manually.
org.kde.pim.maildispatcher: Item 165102 is queued to be sent manually.
org.kde.pim.ksmtp: Socket disconnected
Comment 1 Frank Noack 2018-01-12 12:05:14 UTC
I can confirm this failure on Gentoo, KDE Version 17.12.1
Comment 2 Frank Noack 2018-01-12 12:30:45 UTC
I'm a bit confused. Now it works without any changes in the system and without re-start.
Comment 3 Hartmut Manz 2018-01-18 16:35:26 UTC
I am using a recent kde nenon and get the same problem.
On my Server I can see that the problem is a empty from string.
Maybe this helps

My kmail is  4:17.12.1-0neon+16.04+xenial+build51 (5.7.1)
Comment 4 Allen Winter 2019-07-30 21:01:17 UTC
Still happening with current build from master:

Failed to transport message. Server error: 5.7.1 <DATA>: Data command rejected: Sender access denied